Org settings, dashboards & reporting
Check Stablecoin Reconsent
Compares a role's latest active stablecoin agreement version with the org's current custom or default terms version.
GEThttps://api.toku.com/hris/check-stablecoin-reconsent
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/check-stablecoin-reconsent?roleInOrgID=%3CroleInOrgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"success": true,
"requiresReconsent": true,
"currentVersion": "string",
"agreedVersion": "string",
"hasAgreed": true,
"message": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>requiredResponse
200Successful response
successbooleanrequiredrequiresReconsentbooleanrequiredcurrentVersionstringrequiredagreedVersionstring | nullrequiredhasAgreedbooleanrequiredmessagestringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits